Bug 1471330 - nouveau driver crash when shutting down
nouveau driver crash when shutting down
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 22:55 EDT by Tom Horsley
Modified: 2018-05-03 03:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2017-07-14 22:55:00 EDT
Description of problem:

In a x86_64 fedora 26 system, logged into gnome3 using xorg (not wayland since wayland doesn't work at all), with this graphics card:

01:00.0 VGA compatible controller: NVIDIA Corporation GM206 [GeForce GTX 960] (rev a1)

If I go to the top corner and hit the shutdown button and select "Restart" from the dialog, I always get this kernel crash as it is shutting down:

Jul 14 22:36:20 zooty.my.lan kernel: ------------[ cut here ]------------
Jul 14 22:36:20 zooty.my.lan kernel: WARNING: CPU: 4 PID: 1796 at drivers/gpu/drm/nouveau/nouveau_bo.c:137 nouveau_bo_del_ttm+0x7f/0x90 [nouveau]
Jul 14 22:36:20 zooty.my.lan kernel: Modules linked in: rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 cfg80211 ip_set nfnetlink ebtable_nat ebtable_broute ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_raw iptable_security xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack libcrc32c tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm eeepc_wmi asus_wmi sparse_keymap iTCO_wdt snd_hda_codec_realtek iTCO_vendor_support irqbypass crct10dif_pclmul snd_hda_codec_generic crc32_pclmul
Jul 14 22:36:20 zooty.my.lan kernel:  ir_rc6_decoder btusb ghash_clmulni_intel intel_cstate btrtl snd_hda_intel btbcm intel_uncore snd_hda_codec btintel snd_hda_core bluetooth raid1 rc_rc6_mce snd_hwdep intel_rapl_perf ir_lirc_codec lirc_dev snd_seq ses mceusb enclosure snd_seq_device joydev scsi_transport_sas usblp rc_core rfkill snd_pcm snd_timer snd tpm_infineon i2c_i801 soundcore tpm_tis mei_me soc_button_array tpm_tis_core lpc_ich mei tpm shpchp uas usb_storage nouveau mxm_wmi i2c_algo_bit drm_kms_helper ttm e1000e drm crc32c_intel ptp pps_core video wmi
Jul 14 22:36:20 zooty.my.lan kernel: CPU: 4 PID: 1796 Comm: Xorg Not tainted 4.11.9-300.fc26.x86_64 #1
Jul 14 22:36:20 zooty.my.lan kernel: Hardware name: ASUS All Series/SABERTOOTH Z87, BIOS 0801 04/19/2013
Jul 14 22:36:20 zooty.my.lan kernel: Call Trace:
Jul 14 22:36:20 zooty.my.lan kernel:  dump_stack+0x63/0x84
Jul 14 22:36:20 zooty.my.lan kernel:  __warn+0xcb/0xf0
Jul 14 22:36:20 zooty.my.lan kernel:  warn_slowpath_null+0x1d/0x20
Jul 14 22:36:20 zooty.my.lan kernel:  nouveau_bo_del_ttm+0x7f/0x90 [nouveau]
Jul 14 22:36:20 zooty.my.lan kernel:  ttm_bo_release_list+0xdb/0x200 [ttm]
Jul 14 22:36:20 zooty.my.lan kernel:  ttm_bo_release+0x190/0x200 [ttm]
Jul 14 22:36:20 zooty.my.lan kernel:  ttm_bo_unref+0x2c/0x30 [ttm]
Jul 14 22:36:20 zooty.my.lan kernel:  nouveau_gem_object_del+0x8f/0xe0 [nouveau]
Jul 14 22:36:20 zooty.my.lan kernel:  drm_gem_object_free+0x29/0x70 [drm]
Jul 14 22:36:20 zooty.my.lan kernel:  drm_gem_object_unreference_unlocked+0x3a/0x70 [drm]
Jul 14 22:36:20 zooty.my.lan kernel:  drm_gem_object_handle_unreference_unlocked+0x6a/0xc0 [drm]
Jul 14 22:36:20 zooty.my.lan kernel:  drm_gem_object_release_handle+0x53/0x90 [drm]
Jul 14 22:36:20 zooty.my.lan kernel:  ? drm_gem_object_handle_unreference_unlocked+0xc0/0xc0 [drm]
Jul 14 22:36:20 zooty.my.lan kernel:  idr_for_each+0x4b/0xe0
Jul 14 22:36:20 zooty.my.lan kernel:  drm_gem_release+0x20/0x30 [drm]
Jul 14 22:36:20 zooty.my.lan kernel:  drm_release+0x33d/0x390 [drm]
Jul 14 22:36:20 zooty.my.lan kernel:  __fput+0xdf/0x1e0
Jul 14 22:36:20 zooty.my.lan kernel:  ____fput+0xe/0x10
Jul 14 22:36:20 zooty.my.lan kernel:  task_work_run+0x76/0x90
Jul 14 22:36:20 zooty.my.lan kernel:  do_exit+0x2e9/0xb90
Jul 14 22:36:20 zooty.my.lan kernel:  ? __do_page_fault+0x267/0x4c0
Jul 14 22:36:20 zooty.my.lan kernel:  do_group_exit+0x47/0xb0
Jul 14 22:36:20 zooty.my.lan kernel:  SyS_exit_group+0x14/0x20
Jul 14 22:36:20 zooty.my.lan kernel:  entry_SYSCALL_64_fastpath+0x1a/0xa9
Jul 14 22:36:20 zooty.my.lan kernel: RIP: 0033:0x7f28b074c7f8
Jul 14 22:36:20 zooty.my.lan kernel: RSP: 002b:00007ffe7fe0a978 EFLAGS: 00000246 ORIG_RAX: 00000000000000e7
Jul 14 22:36:20 zooty.my.lan kernel: RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007f28b074c7f8
Jul 14 22:36:20 zooty.my.lan kernel: RDX: 0000000000000000 RSI: 000000000000003c RDI: 0000000000000000
Jul 14 22:36:20 zooty.my.lan kernel: RBP: 00007ffe7fe0a670 R08: 00000000000000e7 R09: fffffffffffffc80
Jul 14 22:36:20 zooty.my.lan kernel: R10: 00007f28a2835c60 R11: 0000000000000246 R12: 00007f28b2fe8000
Jul 14 22:36:20 zooty.my.lan kernel: R13: 000000000246a3d0 R14: 00007ffe7fe0a8f8 R15: 00007f28a2835c58
Jul 14 22:36:20 zooty.my.lan kernel: ---[ end trace 80888821ae45a9ea ]---

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.15-1.fc26.x86_64
kernel-4.11.9-300.fc26.x86_64


How reproducible:
Every time I tell it to reboot while logged into gnome3 under xorg (maybe other times as well, but this is the only thing I've done consistently enough to say it happens every time).

Steps to Reproduce:
1.see above
2.
3.

Actual results:
system restart with kernel crash

Expected results:
No kernel crash

Additional info:
I'm running gnome with xorg because when I attempt to login with wayland, the screen freezes up and I have to hit the reset button on the computer to get it to come back.
Comment 1 Tom Horsley 2017-07-15 22:31:01 EDT
Bug 1471455 shows the wayland crash I get on the same system.
Comment 2 Eugene Mah 2017-07-26 07:58:04 EDT
I've been seeing a similar crash on one of my systems, although ABRT won't let me report it because of a tainted kernel (not sure with what though)

A kernel problem occurred, but your kernel has been tainted (flags:GWI). Explanation:
W - Taint on warning.
I - Working around severe firmware bug.

WARNING: CPU: 1 PID: 16235 at drivers/gpu/drm/nouveau/nouveau_bo.c:137 nouveau_bo_del_ttm+0x7f/0x90 [nouveau]
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc coretemp kvm_intel iTCO_wdt iTCO_vendor_support kvm gpio_ich ppdev dcdbas irqbypass joydev dell_smm_hwmon snd_hda_codec_idt snd_hda_codec_generic snd_hda_intel snd_hda_codec i2c_i801 snd_hda_core lpc_ich snd_hwdep snd_seq snd_seq_device snd_pcm parport_pc parport
 i5000_edac edac_core acpi_cpufreq i5k_amb shpchp snd_timer tpm_tis snd soundcore tpm_tis_core tpm nouveau serio_raw video mxm_wmi wmi i2c_algo_bit drm_kms_helper firewire_ohci ata_generic firewire_core pata_acpi ttm tg3 crc_itu_t drm mptsas scsi_transport_sas mptscsih ptp pps_core mptbase
CPU: 1 PID: 16235 Comm: Xorg Tainted: G        W I     4.11.11-300.fc26.x86_64 #1
Hardware name: Dell Inc.                 Precision WorkStation 690    /0MY171, BIOS A06 08/20/2007
Call Trace:
 dump_stack+0x63/0x84
 __warn+0xcb/0xf0
 warn_slowpath_null+0x1d/0x20
 nouveau_bo_del_ttm+0x7f/0x90 [nouveau]
 ttm_bo_release_list+0xdb/0x200 [ttm]
 ttm_bo_release+0x190/0x200 [ttm]
 ttm_bo_unref+0x2c/0x30 [ttm]
 nouveau_gem_object_del+0x8f/0xe0 [nouveau]
 drm_gem_object_free+0x29/0x70 [drm]
 drm_gem_object_unreference_unlocked+0x3a/0x70 [drm]
 drm_gem_object_handle_unreference_unlocked+0x6a/0xc0 [drm]
 drm_gem_object_release_handle+0x53/0x90 [drm]
 ? drm_gem_object_handle_unreference_unlocked+0xc0/0xc0 [drm]
 idr_for_each+0x4b/0xe0
 drm_gem_release+0x20/0x30 [drm]
 drm_release+0x33d/0x390 [drm]
 __fput+0xdf/0x1e0
 ____fput+0xe/0x10
 task_work_run+0x76/0x90
 do_exit+0x2e9/0xb90
 ? __do_page_fault+0x267/0x4c0
 do_group_exit+0x47/0xb0
 SyS_exit_group+0x14/0x20
 entry_SYSCALL_64_fastpath+0x1a/0xa9
RIP: 0033:0x7f98b29617f8
RSP: 002b:00007fffa1fe0b78 EFLAGS: 00000246 ORIG_RAX: 00000000000000e7
RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007f98b29617f8
RDX: 0000000000000000 RSI: 000000000000003c RDI: 0000000000000000
RBP: 00007fffa1fe0870 R08: 00000000000000e7 R09: fffffffffffffc80
R10: 00007f98a4851c60 R11: 0000000000000246 R12: 00007f98b51fd000
R13: 00000000011d19d0 R14: 00007fffa1fe0af8 R15: 00007f98a4851c58

Happens when logging into a Gnome (non-Wayland) session.

xorg-x11-drv-nouveau-1.0.15-1.fc26.x86_64
kernel 4.11.11-300.fc26.x86_64
NVIDIA Corporation G98 [Quadro NVS 420]
Comment 3 Fedora End Of Life 2018-05-03 03:53:04 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.